import request from '@/utils/request'

//获取暂态统计(按区域统计)数据
export function getRegionData() {
    return request({
        url: '/api1/Operation-management/region/getRegion',
        method: 'get',
    })

}
//获取暂态统计(按电压等级统计)数据
export function getVoltageLevelData() {
    return request({
        url: '/api1/Operation-management/voltageLevel/getVoltageLevel',
        method: 'get',
    })

}
//获取暂态严重度统计数据
// export function getSeverityData() {
//     return request({
//       url:'/api1/Operation-management/severity/getSeverity',
//       method: 'get',
//     })

//   }
//获取暂态原因统计数据
export function getTransientCauseData() {
    return request({
        url: '/api1/Operation-management/transientCause/getTransientCause',
        method: 'get',
    })

}
//获取详细事件列表数据
export function getEventlistData() {
    return request({
        url: '/api1/Operation-management/eventlist/getEventlist',
        method: 'get',
    })

}
//获取暂降次数统计数据
export function getNumberOfDipsData() {
    return request({
        url: '/api1/Operation-management/numberOfDips/getNumberOfDips',
        method: 'get',
    })

}
//获取暂升次数统计数据
export function getTemporaryriseData() {
    return request({
        url: '/api1/Operation-management/temporaryrise/getTemporaryrise',
        method: 'get',
    })

}


export function getGeneralSituationData(data) {
    return request({
        url: '/event-boot/report/getGeneralSituation',
        method: 'post',
        data
    })

}
export function getVoltageData(data) {
    return request({
        url: '/event-boot/report/getVoltage',
        method: 'post',
        data
    })

}

export function getSeverityData(data) {
    return request({
        url: '/event-boot/report/getSeverity',
        method: 'post',
        data
    })

}

export function getReasonData(data) {
    return request({
        url: '/event-boot/report/getReason',
        method: 'post',
        data
    })

}

export function getContinueTimeData(data) {
    return request({
        url: '/event-boot/report/getContinueTime',
        method: 'post',
        data
    })

}

export function getSagTimesData(data) {
    return request({
        url: '/event-boot/report/getSagTimes',
        method: 'post',
        data
    })

}

export function getUpTimesData(data) {
    return request({
        url: '/event-boot/report/getUpTimes',
        method: 'post',
        data
    })

}

export function getBreakTimesData(data) {
    return request({
        url: '/event-boot/report/getBreakTimes',
        method: 'post',
        data
    })

}

export function getExportData(data) {
    return request({
        url: '/event-boot/report/getExport',
        method: 'post',
        data,
        responseType: 'blob',
    })

}